Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.client
Class SSLUtil

    java.lang.Object
      |
      +--weblogic.webservice.client.SSLUtil

public class SSLUtil
extends java.lang.Object

SSLUtil.java SSL Utililities. Created: Thu Jun 20 15:17:54 2002

Author:
  Copyright (c) 2002-2003. BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`SSLUtil()`

Method Summary
`protected static java.net.Socket` | `doTunnelHandshake(java.lang.String proxyHost, int proxyPort, java.lang.String host, int port)`
`static java.lang.String` | `getAuthInfo(java.lang.String host, int port, java.lang.String header)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLUtil

    public SSLUtil()

Method Detail

### doTunnelHandshake

    protected static java.net.Socket doTunnelHandshake(java.lang.String proxyHost,
                                                       int proxyPort,
                                                       java.lang.String host,
                                                       int port)
                                                throws java.io.IOException

### getAuthInfo

    public static java.lang.String getAuthInfo(java.lang.String host,
                                               int port,
                                               java.lang.String header)
                                        throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference